/* 
   PMail - GNOME/GTK/Python email client
   Copyright (C) 2000 Scott Bender <sbender@harmony-ds.com>

   This file is part of PMail.

   PMail is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   PMail is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with PMail; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  
*/

#include <Python.h>
#include <gtk/gtk.h>
#include <gtkmozilla.h>
#include "pygtk.h"


#include "gtkmozillamodule_impl.c"

static PyMethodDef gtkmozillaMethods[] = {
#include "gtkmozillamodule_defs.c"
    { NULL, NULL, 0 }
};

void init_gtkmozilla() {
    PyObject *m, *d;

    m = Py_InitModule("_gtkmozilla", gtkmozillaMethods);

    init_pygtk();

    if (PyErr_Occurred())
        Py_FatalError("can't initialise module _gtkmozilla");
}

